using System;
using System.ComponentModel;

namespace TeslaConsole;

public class ShutdownCompletedEventArgs : AsyncCompletedEventArgs
{
	private bool mSuccessful;

	public bool WasSuccessful
	{
		get
		{
			RaiseExceptionIfNecessary();
			return mSuccessful;
		}
	}

	public ShutdownCompletedEventArgs(bool wasSuccessful, Exception e, bool canceled, object state)
		: base(e, canceled, state)
	{
		mSuccessful = wasSuccessful;
	}
}
